MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023311Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 18:542012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023311: Duplicated check in if-clause in ChFi2d_Builder_0.cxx
DescriptionIn line 174 the variable 'adjEdge1' is checked twice.

 if (!IsLineOrCircle(adjEdge1,newFace)
      || !IsLineOrCircle(adjEdge1,newFace) ) {

According to the documentation building chamfer returns ChFi2d_NotAuthorized if "a curve other than a straight line or an arc of a circle is used as E, E1 or E2".

So the line should be corrected to:

if (!IsLineOrCircle(adjEdge1,newFace)
      || !IsLineOrCircle(adjEdge2,newFace) ) {
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021023)
Pawel (developer)
2012-07-17 18:59

Corresponding git branch pushed. Please review.
(0021026)
abv (manager)
2012-07-18 07:54

No remarks, please test
(0021067)
mkv (tester)
2012-07-19 14:35

Dear BugMaster,
The workbenches
KAS:dev:mkv-23311-occt (GIT branch CR23311)
KAS:dev:mkv-23311-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23311-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 606a112a
Timestamp: 2012-07-17 14:58:53
Author: Pawel
Details ] Diff ]
0023311: Duplicated check in if-clause in ChFi2d_Builder_0.cxx

Verifying that the second provided edge is neither a line nor a circle.
mod - src/ChFi2d/ChFi2d_Builder_0.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 18:54 Pawel New Issue
2012-07-17 18:54 Pawel Assigned To => Pawel
2012-07-17 18:59 Pawel Note Added: 0021023
2012-07-17 18:59 Pawel Assigned To Pawel => bugmaster
2012-07-17 18:59 Pawel Status new => resolved
2012-07-18 07:54 abv Note Added: 0021026
2012-07-18 07:54 abv Status resolved => reviewed
2012-07-18 15:57 mkv Assigned To bugmaster => mkv
2012-07-19 14:35 mkv Note Added: 0021067
2012-07-19 14:35 mkv Test case number => Not needed
2012-07-19 14:35 mkv Assigned To mkv => bugmaster
2012-07-19 14:35 mkv Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 606a112a
2012-07-23 12:22 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:22 Pawel Status tested => verified
2012-07-23 12:22 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker